Skip to main content

Properties

Property objects represent top-level property data from AppFolio®. Skywalk API allows you to obtain the following property attributes from AppFolio®.

The Property Object​

Attributes


appfolioIdstring
Unique ID of Property used by AppFolio.
Example:
"7"

labelstring
Name of the property; if not set then the full address of the property.
Example:
"Warm Weather Apartments"

fullAddressstring
Full address of property.
Example:
"1234 Warm Weather Rd., CA 90001"


More Attributes


➕
namestring

➕
descriptionstring

➕
typestring

➕
unitCountinteger

➕
sqFtstring

➕
marketRentstring

➕
address.streetstring

➕
address.street2string

➕
address.citystring

➕
address.statestring

➕
address.zipstring

➕
lateFee.typestring

➕
lateFee.baseAmountstring

➕
lateFee.dailyAmountstring

➕
lateFee.gracePeriodinteger

➕
lateFee.gracePeriodFixedDaystring

➕
lateFee.graceBalancestring

➕
lateFee.maxDailyAmountstring

➕
leaseFee.typestring

➕
leaseFee.flatFeestring

➕
leaseFee.percentFeestring

➕
management.flatFeestring

➕
management.percentFeestring

➕
management.feeTypestring

➕
management.startDatestring

➕
management.endDatestring

➕
management.endReasonstring

➕
manager.namestring

➕
manager.phoneNumberstring

➕
maintenance.limitstring

➕
maintenance.notesstring

➕
maintenance.groupstring

➕
owners.namesstring[]

➕
owners.appfolioIdsstring[]

➕
owners.contractExpirationsstring[]

➕
premiumLeads.statusstring

➕
premiumLeads.monthlyCapstring

➕
premiumLeads.activationDatestring

➕
propertyGroupAppfolioIdsstring[]

The Property Object
{
"appfolioId": "7",
"label": "Warm Weather Apartments",
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"name": "Warm Weather Apartments",
"description": "Multi family CA apartments",
"type": "Multi-Family",
"unitCount": 12,
"sqFt": "16,522",
"marketRent": "28,129.00",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"agentOfRecord": null,
"amenities": [
"private parking",
"intercom"
],
"lateFee": {
"type": "Flat Fee",
"baseAmount": "50.00",
"dailyAmount": "0.00",
"gracePeriod": 3,
"gracePeriodFixedDay": null,
"graceBalance": "500.00",
"maxDailyAmount": null
},
"leaseFee": {
"type": "Percent",
"flatFee": "0.00",
"percentFee": "0.00%"
},
"lisaEnabled": false,
"management": {
"flatFee": "0.00",
"percentFee": "0.00%",
"feeType": "Flat",
"startDate": "01/01/2018",
"endDate": null,
"endReason": null
},
"manager": {
"name": "Jack Jafarski",
"phoneNumber": "(123)456-7890"
},
"maintenance": {
"limit": "0.00",
"notes": "",
"group": "Working Appliances, Inc."
},
"onlineMaintenanceRequestInstructions": null,
"owners": {
"names": [
"Warm Weather, Inc."
],
"appfolioIds": [
"1"
],
"contractExpirations": []
},
"ownerPaymentType": "Net",
"payerName": "Warm Weather, Inc.",
"portfolio": "Warm Weather, Inc. ",
"premiumLeads": {
"status": "On",
"monthlyCap": "150.00",
"activationDate": "1/1/2018"
},
"propertyClass": "A",
"propertyCreatedBy": "SkyWalk API",
"propertyCreatedOn": "01/01/2018",
"propertyGroupAppfolioIds": [
"1",
"2",
"3"
],
"reserve": "0.00",
"taxYearEnd": "12",
"yearBuilt": "1985"
}

Get All Properties​

GET /v1/properties

Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job

The properties endpoint returns a list of all properties in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters​


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

 

Returns​


The standard List Response Format with a data property containing an array of Property objects.

GET /v1/properties
curl -X GET 'https://api.skywalkapi.com/v1/properties' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/properties",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/properties?cursor=abcdefg"
},
"data": [
{
"appfolioId": "7",
"label": "Warm Weather Apartments",
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"name": "Warm Weather Apartments",
"description": "Multi family CA apartments",
"type": "Multi-Family",
"unitCount": 12,
"sqFt": "16,522",
"marketRent": "28,129.00",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"agentOfRecord": null,
"amenities": [
"private parking",
"intercom"
],
"lateFee": {
"type": "Flat Fee",
"baseAmount": "50.00",
"dailyAmount": "0.00",
"gracePeriod": 3,
"gracePeriodFixedDay": null,
"graceBalance": "500.00",
"maxDailyAmount": null
},
"leaseFee": {
"type": "Percent",
"flatFee": "0.00",
"percentFee": "0.00%"
},
"lisaEnabled": false,
"management": {
"flatFee": "0.00",
"percentFee": "0.00%",
"feeType": "Flat",
"startDate": "01/01/2018",
"endDate": null,
"endReason": null
},
"manager": {
"name": "Jack Jafarski",
"phoneNumber": "(123)456-7890"
},
"maintenance": {
"limit": "0.00",
"notes": "",
"group": "Working Appliances, Inc."
},
"onlineMaintenanceRequestInstructions": null,
"owners": {
"names": [
"Warm Weather, Inc."
],
"appfolioIds": [
"1"
],
"contractExpirations": []
},
"ownerPaymentType": "Net",
"payerName": "Warm Weather, Inc.",
"portfolio": "Warm Weather, Inc. ",
"premiumLeads": {
"status": "On",
"monthlyCap": "150.00",
"activationDate": "1/1/2018"
},
"propertyClass": "A",
"propertyCreatedBy": "SkyWalk API",
"propertyCreatedOn": "01/01/2018",
"propertyGroupAppfolioIds": [
"1",
"2",
"3"
],
"reserve": "0.00",
"taxYearEnd": "12",
"yearBuilt": "1985"
}
]
}